## com.imcode.imcms.test.external
Class TestLdapUserAndRoleRegistry

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.test.external.TestLdapUserAndRoleRegistry

All Implemented Interfaces:
  junit.framework.Test

    public class TestLdapUserAndRoleRegistry

extends junit.framework.TestCase

Constructor Summary
`TestLdapUserAndRoleRegistry()`

Method Summary
`void` `setUp()`
`void` `testAuthenticate()`
`void` `testExistingUser()`
`void` `testGetAllRoleNames()`
`void` `testGetRolesForUserLdapService()`
`void` `testInvalidName()`
`void` `testNonExistingUser()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestLdapUserAndRoleRegistry

    public TestLdapUserAndRoleRegistry()

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testExistingUser

    public void testExistingUser()

### testAuthenticate

    public void testAuthenticate()

### testInvalidName

    public void testInvalidName()

### testNonExistingUser

    public void testNonExistingUser()

### testGetRolesForUserLdapService

    public void testGetRolesForUserLdapService()

### testGetAllRoleNames

    public void testGetAllRoleNames()